function all_ll = log_lik_ghmm(data, prior, transmat, mu, Sigma)
% LOG_LIK_MHMM Compute the log-likelihood of a dataset using a Gaussian HMM
% loglik = log_lik_ghmm(data, prior, transmat, mu, sigma)

% modified by Greg Shakhnarovich to handle cell array data, 
% and to return the list of LL instead of only the sum

if (~iscell(data))
  data = num2cell(data,[1 2]);
end

ncases = length(data);
loglik = 0;
all_ll=[];
for m=1:ncases
  obslik = mk_ghmm_obs_lik(data{m}, mu, Sigma);
  [alpha, LL, xi] = forwards(prior, transmat, obslik);
  loglik = loglik + LL;
  all_ll = [all_ll LL];
end
